Is godot 3.1 and 3.0 compatible?

:information_source: Attention Topic was automatically imported from the old Question2Answer platform.
:bust_in_silhouette: Asked By bgegg

project created in 3.1 can not open in 3.0

:bust_in_silhouette: Reply From: wombatstampede

Probably there’s a reason for that…

So make (another) backup of your project files first.
Then try to edit the file project.godot and set config_version=3.

No guarantees though.

Godot 3.0 and 3.1 are fairly compatible (means that there may be occasional hickups when upgrading from 3.0 to 3.1 but far less than migrating from 2.x to 3.x).

But going back from 3.1 to 3.0 may raise unexpected results. There are some features which didn’t exist in 3.0. I.e. support for GLES2.

thanks!i will still use version of 3.0

bgegg | 2019-04-04 23:33